summaryrefslogtreecommitdiff
path: root/ci/refresh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/refresh')
-rwxr-xr-xci/refresh30
1 files changed, 30 insertions, 0 deletions
diff --git a/ci/refresh b/ci/refresh
new file mode 100755
index 0000000..82f4131
--- /dev/null
+++ b/ci/refresh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+if test -z "$1"
+then
+ echo "syntax: $0 PATH-TO-LCITOOL"
+ exit 1
+fi
+
+LCITOOL=$1
+
+if ! test -x "$LCITOOL"
+then
+ echo "$LCITOOL is not executable"
+ exit 1
+fi
+
+HOSTS=$($LCITOOL hosts | grep -v freebsd)
+
+for host in $HOSTS
+do
+ name="ci-${host#libvirt-}"
+
+ if test "$host" = "libvirt-fedora-rawhide"
+ then
+ $LCITOOL dockerfile $host osinfo-db-tools,osinfo-db,libosinfo --cross mingw32 >$name-cross-mingw32.Dockerfile
+ $LCITOOL dockerfile $host osinfo-db-tools,osinfo-db,libosinfo --cross mingw64 >$name-cross-mingw64.Dockerfile
+ fi
+
+ $LCITOOL dockerfile $host osinfo-db-tools,osinfo-db,libosinfo >$name.Dockerfile
+done